program T_dislin2


use std_type
use dislinDP

implicit none

real(kind=DP),dimension(100) :: x,y
real(kind=DP) :: p
integer :: i,j

x = (/(0.1_DP*i,i=1,100)/)
y = sin(x)	

				! V poznamkach:	! level ; funkce
call metafl('xwin')				! 0	; vystup do okna na obrazovce
call scrmod('reverse')			! 0	; cerna na bilem pozadi, default obracene
call x11mod('nostore')			! 0 ; vystup primo na obrazovku, 
call units('cm')				! 0	; nastavi 100 bodu na 1cm

call disini()			! level=0, nastavi level=1; inicializace				

!~ call axstyp('cross')		! 1 ; souradnice prochazi (0,0), default obdelnik
call axslen(2000,1000)		! 1 ; sirka a vyska souradnicoveho systemu
call axspos(200,1200) 		! 1 ; pozice leveho spodniho rohu souradnic. systemu
	! graf nakresli souradnicovy system, volat v level=1, nastavi level=2
call graf(0.0_DP,10.0_DP,0.0_DP,1.0_DP,-1.1_DP,1.1_DP,-1.0_DP,0.5_DP) 

do i=1,size(x)
	call rlsymb(3,x(i),y(i))	! level 2,3 ; symbol 3=+, poloha v uziv.jedn.		
end do

call disfin()	! 1,2,3 ; ukonci dislin, nastavi level=0

end program T_dislin2

!! Nastavene knihovny 
!! 
!!3:	-ldismgSP  NEBO   -ldismgDP (je-li use dislinDP) ;jsou v g:\g95\ModLib
!!4:	-luser32 -lgdi32 (jsou v adresari lib instalace g95)
!! Pozor !
!! Je-li pri linkovani nastavena -ldismgSP a vse ostatni je v DP,
!! nehlasi chybu, ale spusteny program maluje(?) nesmysly
!!